fn main() {
    // Use Config to compile all protos together
    // Since the proto files don't have package declarations,
    // they'll all be generated into a single _.rs file
    prost_build::Config::new()
        .compile_protos(
            &[
                "protobuf/ingestor.proto",
                "protobuf/market.proto",
                "protobuf/ohlc.proto",
                "protobuf/tick.proto",
            ],
            &["protobuf/"],
        )
        .unwrap_or_else(|e| panic!("Failed to compile protos: {}", e));
}
